Bug 346857 - kwin crash when closing an OpenGL window
Summary: kwin crash when closing an OpenGL window
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: aurorae (show other bugs)
Version: 5.4.1
Platform: Kubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/125...
Keywords: drkonqi
: 346447 350572 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-04-28 17:35 UTC by Laurent Bonnaud
Modified: 2015-10-22 10:34 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.3
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent Bonnaud 2015-04-28 17:35:12 UTC
Application: kwin_x11 (5.3.0)

Qt Version: 5.4.1
Operating System: Linux 4.0.0-040000-generic x86_64
Distribution: Ubuntu 15.04

-- Information about the crash:
- What I was doing when the application crashed:

I was running glxgears and was closing the window.

$ glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
302 frames in 5.0 seconds = 60.256 FPS
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
      after 1380 requests (1380 known processed) with 0 events remaining.

PS: drkonqi did not let me append this backtrace to a previous similar bug report of mine.

-- Backtrace:
Application: KWin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fb5a9c5b800 (LWP 18587))]

Thread 4 (Thread 0x7fb585a35700 (LWP 18599)):
#0  0x00007fb5a9742743 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fb5a7d34101 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timespec const*) (nfds=18, fdread=fdread@entry=0x7fb578000a78, fdwrite=fdwrite@entry=0x7fb578000d08, fdexcept=fdexcept@entry=0x7fb578000f98, orig_timeout=orig_timeout@entry=0x0) at kernel/qcore_unix.cpp:75
#2  0x00007fb5a7d35cd2 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) (timeout=0x0, exceptfds=0x7fb578000f98, writefds=0x7fb578000d08, readfds=0x7fb578000a78, nfds=<optimized out>, this=0x7fb5780008c0) at kernel/qeventdispatcher_unix.cpp:320
#3  0x00007fb5a7d35cd2 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) (this=this@entry=0x7fb5780008e0, flags=..., flags@entry=..., timeout=timeout@entry=0x0) at kernel/qeventdispatcher_unix.cpp:196
#4  0x00007fb5a7d36275 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fb5780008c0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#5  0x00007fb5a7cdd3e2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fb585a34da0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fb5a7a9cb44 in QThread::exec() (this=this@entry=0xf56250) at thread/qthread.cpp:503
#7  0x00007fb5a18fff65 in QQmlThreadPrivate::run() (this=0xf56250) at qml/ftw/qqmlthread.cpp:141
#8  0x00007fb5a7aa1b0e in QThreadPrivate::start(void*) (arg=0xf56250) at thread/qthread_unix.cpp:337
#9  0x00007fb5a8fc16aa in start_thread (arg=0x7fb585a35700) at pthread_create.c:333
#10 0x00007fb5a974beed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fb57d9c4700 (LWP 18608)):
#0  0x00007fb5a8fc6da0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fb5a68a5644 in QTWTF::TCMalloc_PageHeap::scavengerThread() (this=0x7fb5a6996f40 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007fb5a68a5689 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007fb5a8fc16aa in start_thread (arg=0x7fb57d9c4700) at pthread_create.c:333
#4  0x00007fb5a974beed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fb4f0fc5700 (LWP 18790)):
#0  0x00007fb5a9742743 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fb5a7d34101 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timespec const*) (nfds=24, fdread=fdread@entry=0x7fb4ec10e938, fdwrite=fdwrite@entry=0x7fb4ec10ebc8, fdexcept=fdexcept@entry=0x7fb4ec10ee58, orig_timeout=orig_timeout@entry=0x0) at kernel/qcore_unix.cpp:75
#2  0x00007fb5a7d35cd2 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) (timeout=0x0, exceptfds=0x7fb4ec10ee58, writefds=0x7fb4ec10ebc8, readfds=0x7fb4ec10e938, nfds=<optimized out>, this=0x7fb4ec012dc0) at kernel/qeventdispatcher_unix.cpp:320
#3  0x00007fb5a7d35cd2 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) (this=this@entry=0x7fb4ec10e7a0, flags=..., flags@entry=..., timeout=timeout@entry=0x0) at kernel/qeventdispatcher_unix.cpp:196
#4  0x00007fb5a7d36275 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fb4ec012dc0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#5  0x00007fb5a7cdd3e2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fb4f0fc4da0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fb5a7a9cb44 in QThread::exec() (this=this@entry=0x187e8e0) at thread/qthread.cpp:503
#7  0x00007fb5a18fff65 in QQmlThreadPrivate::run() (this=0x187e8e0) at qml/ftw/qqmlthread.cpp:141
#8  0x00007fb5a7aa1b0e in QThreadPrivate::start(void*) (arg=0x187e8e0) at thread/qthread_unix.cpp:337
#9  0x00007fb5a8fc16aa in start_thread (arg=0x7fb4f0fc5700) at pthread_create.c:333
#10 0x00007fb5a974beed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fb5a9c5b800 (LWP 18587)):
[KCrash Handler]
#6  0x00007fb5a1885960 in QQmlBoundSignalExpression::function() const (this=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qscopedpointer.h:135
#7  0x00007fb5a1885960 in QQmlBoundSignalExpression::function() const (p=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qglobal.h:961
#8  0x00007fb5a1885960 in QQmlBoundSignalExpression::function() const (this=<optimized out>) at ../../include/QtQml/5.4.1/QtQml/private/../../../../../src/qml/qml/qqmlengine.h:150
#9  0x00007fb5a1885960 in QQmlBoundSignalExpression::function() const (e=<optimized out>) at ../../include/QtQml/5.4.1/QtQml/private/../../../../../src/qml/qml/qqmlengine_p.h:491
#10 0x00007fb5a1885960 in QQmlBoundSignalExpression::function() const (this=this@entry=0x2dbb3f0) at qml/qqmlboundsignal.cpp:183
#11 0x00007fb5a1885a00 in QQmlBoundSignalExpression::sourceLocation() const (this=this@entry=0x2dbb3f0) at qml/qqmlboundsignal.cpp:154
#12 0x00007fb5a1864067 in QQmlData::destroyed(QObject*) (this=0x1684780, object=0x51b4200) at qml/qqmlengine.cpp:1614
#13 0x00007fb5a7d1949b in QObject::~QObject() (this=0x51b4200, __in_chrg=<optimized out>) at kernel/qobject.cpp:918
#14 0x00007fb5a6b4f866 in QQuickItem::~QQuickItem() (this=0x51b4200, __in_chrg=<optimized out>) at items/qquickitem.cpp:2225
#15 0x00007fb5a6b69ad6 in QQmlPrivate::QQmlElement<QQuickMouseArea>::~QQmlElement() (this=0x51b4200, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#16 0x00007fb5a6b69ad6 in QQmlPrivate::QQmlElement<QQuickMouseArea>::~QQmlElement() (this=0x51b4200, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#17 0x00007fb5a7d0f18c in QObjectPrivate::deleteChildren() (this=this@entry=0x596f150) at kernel/qobject.cpp:1950
#18 0x00007fb5a7d197f3 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#19 0x00007fb5a6b4f866 in QQuickItem::~QQuickItem() (this=0x5989e60, __in_chrg=<optimized out>) at items/qquickitem.cpp:2225
#20 0x00007fb5a6b697c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x5989e60, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#21 0x00007fb5a6b697c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x5989e60, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#22 0x00007fb5a7d0f18c in QObjectPrivate::deleteChildren() (this=this@entry=0x4d2deb0) at kernel/qobject.cpp:1950
#23 0x00007fb5a7d197f3 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#24 0x00007fb5a6b4f866 in QQuickItem::~QQuickItem() (this=0x4e3bc80, __in_chrg=<optimized out>) at items/qquickitem.cpp:2225
#25 0x00007fb5a6b69a26 in QQmlPrivate::QQmlElement<QQuickLoader>::~QQmlElement() (this=0x4e3bc80, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#26 0x00007fb5a6b69a26 in QQmlPrivate::QQmlElement<QQuickLoader>::~QQmlElement() (this=0x4e3bc80, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#27 0x00007fb5a7d0f18c in QObjectPrivate::deleteChildren() (this=this@entry=0x4ae2a10) at kernel/qobject.cpp:1950
#28 0x00007fb5a7d197f3 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#29 0x00007fb5a6b4f866 in QQuickItem::~QQuickItem() (this=0x4b26590, __in_chrg=<optimized out>) at items/qquickitem.cpp:2225
#30 0x00007fb5a6b72fae in QQmlPrivate::QQmlElement<QQuickRow>::~QQmlElement() (this=0x4b26590, __in_chrg=<optimized out>) at items/qquickpositioners_p.h:183
#31 0x00007fb5a6b72fae in QQmlPrivate::QQmlElement<QQuickRow>::~QQmlElement() (this=0x4b26590, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#32 0x00007fb5a6b72fae in QQmlPrivate::QQmlElement<QQuickRow>::~QQmlElement() (this=0x4b26590, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#33 0x00007fb5a7d0f18c in QObjectPrivate::deleteChildren() (this=this@entry=0x5dc0470) at kernel/qobject.cpp:1950
#34 0x00007fb5a7d197f3 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#35 0x00007fb5a6b4f866 in QQuickItem::~QQuickItem() (this=0x437e070, __in_chrg=<optimized out>) at items/qquickitem.cpp:2225
#36 0x00007fb5a6b697c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x437e070, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#37 0x00007fb5a6b697c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x437e070, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#38 0x00007fb5a7d0f18c in QObjectPrivate::deleteChildren() (this=this@entry=0x5580c60) at kernel/qobject.cpp:1950
#39 0x00007fb5a7d197f3 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#40 0x00007fb5a6b4f866 in QQuickItem::~QQuickItem() (this=0x3b57f70, __in_chrg=<optimized out>) at items/qquickitem.cpp:2225
#41 0x00007fb5a6b697c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x3b57f70, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#42 0x00007fb5a6b697c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x3b57f70, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#43 0x00007fb5a7d0f18c in QObjectPrivate::deleteChildren() (this=this@entry=0x60ea260) at kernel/qobject.cpp:1950
#44 0x00007fb5a7d197f3 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#45 0x00007fb5a6b4f866 in QQuickItem::~QQuickItem() (this=0x4804870, __in_chrg=<optimized out>) at items/qquickitem.cpp:2225
#46 0x00007fb5a6b7306e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x4804870, __in_chrg=<optimized out>) at items/qquickrectangle_p.h:128
#47 0x00007fb5a6b7306e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x4804870, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#48 0x00007fb5a6b7306e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x4804870, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#49 0x00007fb5a7d0f18c in QObjectPrivate::deleteChildren() (this=this@entry=0x5be1ca0) at kernel/qobject.cpp:1950
#50 0x00007fb5a7d197f3 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#51 0x00007fb5a6b4f866 in QQuickItem::~QQuickItem() (this=0x5902640, __in_chrg=<optimized out>) at items/qquickitem.cpp:2225
#52 0x00007fb5a6b7306e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x5902640, __in_chrg=<optimized out>) at items/qquickrectangle_p.h:128
#53 0x00007fb5a6b7306e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x5902640, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#54 0x00007fb5a6b7306e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x5902640, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#55 0x00007fb5a7d0f18c in QObjectPrivate::deleteChildren() (this=this@entry=0x401b9b0) at kernel/qobject.cpp:1950
#56 0x00007fb5a7d197f3 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#57 0x00007fb5a6b4f866 in QQuickItem::~QQuickItem() (this=0x4f09720, __in_chrg=<optimized out>) at items/qquickitem.cpp:2225
#58 0x00007fb5a6b697c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x4f09720, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#59 0x00007fb5a6b697c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x4f09720, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#60 0x00007fb585a522df in Aurorae::Decoration::~Decoration() (this=0x437a3e0, __in_chrg=<optimized out>) at ../../../../clients/aurorae/src/aurorae.cpp:273
#61 0x00007fb585a52419 in Aurorae::Decoration::~Decoration() (this=0x437a3e0, __in_chrg=<optimized out>) at ../../../../clients/aurorae/src/aurorae.cpp:277
#62 0x00007fb5a9246764 in KWin::Client::destroyDecoration() (this=this@entry=0x4fe6170) at ../client.cpp:461
#63 0x00007fb5a9250389 in KWin::Client::destroyClient() (this=this@entry=0x4fe6170) at ../client.cpp:336
#64 0x00007fb5a92505cf in KWin::Client::killWindow() (this=0x4fe6170) at ../client.cpp:1211
#65 0x00007fb5a525b025 in KDecoration2::Decoration::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=_o@entry=0x437a3e0, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=6, _a=_a@entry=0x7ffee75acc40) at moc_decoration.cpp:195
#66 0x00007fb5a525b897 in KDecoration2::Decoration::qt_metacall(QMetaObject::Call, int, void**) (this=this@entry=0x437a3e0, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=6, _a=_a@entry=0x7ffee75acc40) at moc_decoration.cpp:288
#67 0x00007fb585a60227 in Aurorae::Decoration::qt_metacall(QMetaObject::Call, int, void**) (this=0x437a3e0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffee75acc40) at moc_aurorae.cpp:145
#68 0x00007fb5a184236d in CallMethod(QObject*, int, int, int, int*, QV8Engine*, QV4::CallData*) (object=0x2dbb3f0, index=47952880, returnType=43, argCount=0, argTypes=0x59c93d0, engine=0x0, callArgs=0x7fb4eb800078) at jsruntime/qv4qobjectwrapper.cpp:1170
#69 0x00007fb5a1844995 in CallPrecise(QObject*, QQmlPropertyData const&, QV8Engine*, QV4::CallData*) (object=0x437a3e0, data=..., engine=0x1854300, callArgs=0x7fb4eb800078) at jsruntime/qv4qobjectwrapper.cpp:1408
#70 0x00007fb5a18450b3 in QV4::QObjectMethod::callInternal(QV4::CallData*) (this=<optimized out>, callData=0x7fb4eb800078) at jsruntime/qv4qobjectwrapper.cpp:1889
#71 0x00007fb5a1850b18 in QV4::Runtime::callProperty(QV4::ExecutionContext*, QV4::String*, QV4::CallData*) (d=0x7fb4eb800078, this=<optimized out>) at jsruntime/qv4object_p.h:278
#72 0x00007fb5a1850b18 in QV4::Runtime::callProperty(QV4::ExecutionContext*, QV4::String*, QV4::CallData*) (context=0x7ffee75ad250, name=0x7fb4f3b989a0, callData=0x7fb4eb800078) at jsruntime/qv4runtime.cpp:934
#73 0x00007fb5840009ab in  ()
#74 0x0000000000000000 in  ()

Reported using DrKonqi
Comment 1 Laurent Bonnaud 2015-04-28 17:38:53 UTC
*** Bug 346447 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Lübking 2015-07-24 06:44:34 UTC
*** Bug 350572 has been marked as a duplicate of this bug. ***
Comment 3 Thomas Lübking 2015-07-27 11:59:08 UTC
*** Bug 350572 has been marked as a duplicate of this bug. ***
Comment 4 Thomas Lübking 2015-07-27 12:00:19 UTC
> XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
>      after 45 requests (43 known processed) with 0 events remaining.

This is bug #303450 again - the "new" qml stuff invokes the close directly again.

Adding Xcb::sync(); to "Client::closeWindow()" doesn't help anything - QtQuick just sucks.
Comment 5 Laurent Bonnaud 2015-10-02 11:02:12 UTC
The bug is still there in Kubuntu 15.10 and kwin 5.4.1:

Application: KWin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fea5e9f6840 (LWP 2817))]

Thread 4 (Thread 0x7fea392c2700 (LWP 2928)):
#0  0x00007fea5e4fd743 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fea5cb4f90f in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timespec const*) (nfds=17, fdread=fdread@entry=0x7fea2c000a78, fdwrite=fdwrite@entry=0x7fea2c000d08, fdexcept=fdexcept@entry=0x7fea2c000f98, orig_timeout=orig_timeout@entry=0x0) at kernel/qcore_unix.cpp:75
#2  0x00007fea5cb5140e in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) (timeout=0x0, exceptfds=0x7fea2c000f98, writefds=0x7fea2c000d08, readfds=0x7fea2c000a78, nfds=<optimized out>, this=0x7fea2c0008c0) at kernel/qeventdispatcher_unix.cpp:320
#3  0x00007fea5cb5140e in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) (this=this@entry=0x7fea2c0008e0, flags=..., flags@entry=..., timeout=timeout@entry=0x0) at kernel/qeventdispatcher_unix.cpp:196
#4  0x00007fea5cb5193e in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fea2c0008c0, flags=...) at kernel/qeventdispatcher_unix.cpp:607
#5  0x00007fea5cafa75a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fea392c1d60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fea5c9183d4 in QThread::exec() (this=this@entry=0x1fa97b0) at thread/qthread.cpp:503
#7  0x00007fea57489f85 in QQmlThreadPrivate::run() (this=0x1fa97b0) at qml/ftw/qqmlthread.cpp:141
#8  0x00007fea5c91d2be in QThreadPrivate::start(void*) (arg=0x1fa97b0) at thread/qthread_unix.cpp:337
#9  0x00007fea5db406aa in start_thread (arg=0x7fea392c2700) at pthread_create.c:333
#10 0x00007fea5e506eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fea33fff700 (LWP 2931)):
#0  0x00007fea5db45da0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fea5baaf114 in QTWTF::TCMalloc_PageHeap::scavengerThread() (this=0x7fea5bb97ee0 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007fea5baaf159 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007fea5db406aa in start_thread (arg=0x7fea33fff700) at pthread_create.c:333
#4  0x00007fea5e506eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fea33195700 (LWP 2990)):
#0  0x00007fea5cb522ea in QTimerInfoList::timerWait(timespec&) (this=this@entry=0x7fe9a8001118, tm=...) at kernel/qtimerinfo_unix.cpp:404
#1  0x00007fea5cb51880 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fe9a80008c0, flags=...) at kernel/qeventdispatcher_unix.cpp:594
#2  0x00007fea5cafa75a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fea33194d60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#3  0x00007fea5c9183d4 in QThread::exec() (this=this@entry=0x1f2d840) at thread/qthread.cpp:503
#4  0x00007fea57489f85 in QQmlThreadPrivate::run() (this=0x1f2d840) at qml/ftw/qqmlthread.cpp:141
#5  0x00007fea5c91d2be in QThreadPrivate::start(void*) (arg=0x1f2d840) at thread/qthread_unix.cpp:337
#6  0x00007fea5db406aa in start_thread (arg=0x7fea33195700) at pthread_create.c:333
#7  0x00007fea5e506eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fea5e9f6840 (LWP 2817)):
[KCrash Handler]
#6  0x00007fea574143b0 in QQmlBoundSignalExpression::function() const (this=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qscopedpointer.h:135
#7  0x00007fea574143b0 in QQmlBoundSignalExpression::function() const (p=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qglobal.h:962
#8  0x00007fea574143b0 in QQmlBoundSignalExpression::function() const (this=<optimized out>) at ../../include/QtQml/5.4.2/QtQml/private/../../../../../src/qml/qml/qqmlengine.h:152
#9  0x00007fea574143b0 in QQmlBoundSignalExpression::function() const (e=<optimized out>) at ../../include/QtQml/5.4.2/QtQml/private/../../../../../src/qml/qml/qqmlengine_p.h:491
#10 0x00007fea574143b0 in QQmlBoundSignalExpression::function() const (this=this@entry=0x2be3dc0) at qml/qqmlboundsignal.cpp:183
#11 0x00007fea57414450 in QQmlBoundSignalExpression::sourceLocation() const (this=this@entry=0x2be3dc0) at qml/qqmlboundsignal.cpp:154
#12 0x00007fea573f2fc8 in QQmlData::destroyed(QObject*) (this=0x50968c0, object=0x24e7f50) at qml/qqmlengine.cpp:1620
#13 0x00007fea5cb35424 in QObject::~QObject() (this=0x24e7f50, __in_chrg=<optimized out>) at kernel/qobject.cpp:918
#14 0x00007fea579872bd in QQuickItem::~QQuickItem() (this=0x24e7f50, __in_chrg=<optimized out>) at items/qquickitem.cpp:2223
#15 0x00007fea579a1b96 in QQmlPrivate::QQmlElement<QQuickMouseArea>::~QQmlElement() (this=0x24e7f50, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#16 0x00007fea579a1b96 in QQmlPrivate::QQmlElement<QQuickMouseArea>::~QQmlElement() (this=0x24e7f50, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#17 0x00007fea5cb2bd2b in QObjectPrivate::deleteChildren() (this=this@entry=0x6204ad0) at kernel/qobject.cpp:1950
#18 0x00007fea5cb35620 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#19 0x00007fea579872bd in QQuickItem::~QQuickItem() (this=0x4e81c30, __in_chrg=<optimized out>) at items/qquickitem.cpp:2223
#20 0x00007fea579a17c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x4e81c30, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#21 0x00007fea579a17c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x4e81c30, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#22 0x00007fea5cb2bd2b in QObjectPrivate::deleteChildren() (this=this@entry=0x4038410) at kernel/qobject.cpp:1950
#23 0x00007fea5cb35620 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#24 0x00007fea579872bd in QQuickItem::~QQuickItem() (this=0x52889c0, __in_chrg=<optimized out>) at items/qquickitem.cpp:2223
#25 0x00007fea579a1ae6 in QQmlPrivate::QQmlElement<QQuickLoader>::~QQmlElement() (this=0x52889c0, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#26 0x00007fea579a1ae6 in QQmlPrivate::QQmlElement<QQuickLoader>::~QQmlElement() (this=0x52889c0, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#27 0x00007fea5cb2bd2b in QObjectPrivate::deleteChildren() (this=this@entry=0x256fb70) at kernel/qobject.cpp:1950
#28 0x00007fea5cb35620 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#29 0x00007fea579872bd in QQuickItem::~QQuickItem() (this=0x4e81e70, __in_chrg=<optimized out>) at items/qquickitem.cpp:2223
#30 0x00007fea579a0e3e in QQmlPrivate::QQmlElement<QQuickRow>::~QQmlElement() (this=0x4e81e70, __in_chrg=<optimized out>) at items/qquickpositioners_p.h:183
#31 0x00007fea579a0e3e in QQmlPrivate::QQmlElement<QQuickRow>::~QQmlElement() (this=0x4e81e70, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#32 0x00007fea579a0e3e in QQmlPrivate::QQmlElement<QQuickRow>::~QQmlElement() (this=0x4e81e70, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#33 0x00007fea5cb2bd2b in QObjectPrivate::deleteChildren() (this=this@entry=0x4e818f0) at kernel/qobject.cpp:1950
#34 0x00007fea5cb35620 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#35 0x00007fea579872bd in QQuickItem::~QQuickItem() (this=0x534dc00, __in_chrg=<optimized out>) at items/qquickitem.cpp:2223
#36 0x00007fea579a17c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x534dc00, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#37 0x00007fea579a17c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x534dc00, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#38 0x00007fea5cb2bd2b in QObjectPrivate::deleteChildren() (this=this@entry=0x5411000) at kernel/qobject.cpp:1950
#39 0x00007fea5cb35620 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#40 0x00007fea579872bd in QQuickItem::~QQuickItem() (this=0x5027f30, __in_chrg=<optimized out>) at items/qquickitem.cpp:2223
#41 0x00007fea579a17c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x5027f30, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#42 0x00007fea579a17c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x5027f30, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#43 0x00007fea5cb2bd2b in QObjectPrivate::deleteChildren() (this=this@entry=0x37ee890) at kernel/qobject.cpp:1950
#44 0x00007fea5cb35620 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#45 0x00007fea579872bd in QQuickItem::~QQuickItem() (this=0x3b52840, __in_chrg=<optimized out>) at items/qquickitem.cpp:2223
#46 0x00007fea579a186e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x3b52840, __in_chrg=<optimized out>) at items/qquickrectangle_p.h:128
#47 0x00007fea579a186e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x3b52840, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#48 0x00007fea579a186e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x3b52840, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#49 0x00007fea5cb2bd2b in QObjectPrivate::deleteChildren() (this=this@entry=0x5ad7d50) at kernel/qobject.cpp:1950
#50 0x00007fea5cb35620 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#51 0x00007fea579872bd in QQuickItem::~QQuickItem() (this=0x5817070, __in_chrg=<optimized out>) at items/qquickitem.cpp:2223
#52 0x00007fea579a186e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x5817070, __in_chrg=<optimized out>) at items/qquickrectangle_p.h:128
#53 0x00007fea579a186e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x5817070, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#54 0x00007fea579a186e in QQmlPrivate::QQmlElement<QQuickRectangle>::~QQmlElement() (this=0x5817070, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#55 0x00007fea5cb2bd2b in QObjectPrivate::deleteChildren() (this=this@entry=0x2327230) at kernel/qobject.cpp:1950
#56 0x00007fea5cb35620 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1030
#57 0x00007fea579872bd in QQuickItem::~QQuickItem() (this=0x42fb310, __in_chrg=<optimized out>) at items/qquickitem.cpp:2223
#58 0x00007fea579a17c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x42fb310, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#59 0x00007fea579a17c6 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x42fb310, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:98
#60 0x00007fea392def8f in Aurorae::Decoration::~Decoration() (this=0x50a30b0, __in_chrg=<optimized out>) at ../../../../clients/aurorae/src/aurorae.cpp:276
#61 0x00007fea392df0d9 in Aurorae::Decoration::~Decoration() (this=0x50a30b0, __in_chrg=<optimized out>) at ../../../../clients/aurorae/src/aurorae.cpp:280
#62 0x00007fea5e006964 in KWin::Client::destroyDecoration() (this=this@entry=0x503d490) at ../client.cpp:444
#63 0x00007fea5e006ba0 in KWin::Client::destroyClient() (this=this@entry=0x503d490) at ../client.cpp:314
#64 0x00007fea5e00f03e in KWin::Client::killWindow() (this=0x503d490) at ../client.cpp:1128
#65 0x00007fea5b253525 in KDecoration2::Decoration::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=_o@entry=0x50a30b0, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=6, _a=_a@entry=0x7ffd6c7cf090) at moc_decoration.cpp:195
#66 0x00007fea5b254d35 in KDecoration2::Decoration::qt_metacall(QMetaObject::Call, int, void**) (this=this@entry=0x50a30b0, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=6, _a=_a@entry=0x7ffd6c7cf090) at moc_decoration.cpp:288
#67 0x00007fea392eca57 in Aurorae::Decoration::qt_metacall(QMetaObject::Call, int, void**) (this=0x50a30b0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffd6c7cf090) at moc_aurorae.cpp:145
#68 0x00007fea573d209a in CallMethod(QObject*, int, int, int, int*, QV8Engine*, QV4::CallData*) (object=object@entry=0x50a30b0, index=11, returnType=returnType@entry=43, argCount=argCount@entry=0, argTypes=argTypes@entry=0x0, engine=engine@entry=0x1d52280, callArgs=0x7fea32195078) at jsruntime/qv4qobjectwrapper.cpp:1170
#69 0x00007fea573d3455 in CallPrecise(QObject*, QQmlPropertyData const&, QV8Engine*, QV4::CallData*) (object=object@entry=0x50a30b0, data=..., engine=engine@entry=0x1d52280, callArgs=callArgs@entry=0x7fea32195078) at jsruntime/qv4qobjectwrapper.cpp:1408
#70 0x00007fea573d3b75 in QV4::QObjectMethod::callInternal(QV4::CallData*) (this=<optimized out>, callData=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1889
#71 0x00007fea573e15d8 in QV4::Runtime::callProperty(QV4::ExecutionContext*, QV4::String*, QV4::CallData*) (d=0x7fea32195078, this=<optimized out>) at jsruntime/qv4object_p.h:278
#72 0x00007fea573e15d8 in QV4::Runtime::callProperty(QV4::ExecutionContext*, QV4::String*, QV4::CallData*) (context=0x7ffd6c7cf6a0, name=0x7fea3215d9a0, callData=0x7fea32195078) at jsruntime/qv4runtime.cpp:934
#73 0x00007fea3ae0d9ab in  ()
#74 0x00007ffd00000320 in  ()
#75 0x0003000000000007 in  ()
#76 0x0003000000000000 in  ()
#77 0x00007fea32195058 in  ()
#78 0x00007fea38050000 in  ()
#79 0x00007fe99ad9e5f0 in  ()
#80 0x0000000001d68b50 in  ()
#81 0x00007fe99ad9e620 in  ()
#82 0x00007fea38050000 in  ()
#83 0x00007fea573946d6 in QV4::SimpleScriptFunction::call(QV4::Managed*, QV4::CallData*) (that=0x7fea321950b8, callData=<optimized out>) at jsruntime/qv4functionobject.cpp:512
#84 0x00007fea57470c98 in QQmlJavaScriptExpression::evaluate(QQmlContextData*, QV4::ValueRef, QV4::CallData*, bool*) (d=0x7fea57470c98 <QQmlJavaScriptExpression::evaluate(QQmlContextData*, QV4::ValueRef, QV4::CallData*, bool*)+648>, this=<optimized out>) at ../../include/QtQml/5.4.2/QtQml/private/../../../../../src/qml/jsruntime/qv4object_p.h:278
#85 0x00007fea57470c98 in QQmlJavaScriptExpression::evaluate(QQmlContextData*, QV4::ValueRef, QV4::CallData*, bool*) (this=this@entry=0x2be3de0, context=<optimized out>, function=function@entry=..., callData=callData@entry=0x7fea32195008, isUndefined=isUndefined@entry=0x0) at qml/qqmljavascriptexpression.cpp:158
#86 0x00007fea574157d6 in QQmlBoundSignalExpression::evaluate(void**) (this=<optimized out>, a=a@entry=0x7ffd6c7cfc20) at qml/qqmlboundsignal.cpp:281
#87 0x00007fea5741601b in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) (e=0x53ddff8, a=0x7ffd6c7cfc20) at qml/qqmlboundsignal.cpp:408
#88 0x00007fea57454507 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=0x53ddff8, a=a@entry=0x7ffd6c7cfc20) at qml/qqmlnotifier.cpp:73
#89 0x00007fea573f40fc in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) (object=0x24e7f50, index=44, a=0x7ffd6c7cfc20) at qml/qqmlengine.cpp:722
#90 0x00007fea5cb2d090 in QMetaObject::activate(QObject*, int, int, void**) (sender=sender@entry=0x24e7f50, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=15, argv=argv@entry=0x7ffd6c7cfc20) at kernel/qobject.cpp:3603
#91 0x00007fea5cb2df87 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x24e7f50, m=m@entry=0x7fea57bc19c0 <QQuickMouseArea::staticMetaObject>, local_signal_index=local_signal_index@entry=15, argv=argv@entry=0x7ffd6c7cfc20) at kernel/qobject.cpp:3582
#92 0x00007fea57ac5a62 in QQuickMouseArea::clicked(QQuickMouseEvent*) (this=this@entry=0x24e7f50, _t1=_t1@entry=0x7ffd6c7cfc80) at .moc/moc_qquickmousearea_p.cpp:586
#93 0x00007fea57a039be in QQuickMouseArea::setPressed(Qt::MouseButton, bool) (this=this@entry=0x24e7f50, button=Qt::LeftButton, p=p@entry=false) at items/qquickmousearea.cpp:1162
#94 0x00007fea57a044db in QQuickMouseArea::mouseReleaseEvent(QMouseEvent*) (this=0x24e7f50, event=<optimized out>) at items/qquickmousearea.cpp:743
#95 0x00007fea57984eb8 in QQuickItem::event(QEvent*) (this=0x24e7f50, ev=0x5ad4d00) at items/qquickitem.cpp:7298
#96 0x00007fea5d3cab8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x1c358f0, receiver=receiver@entry=0x24e7f50, e=e@entry=0x5ad4d00) at kernel/qapplication.cpp:3720
#97 0x00007fea5d3d0230 in QApplication::notify(QObject*, QEvent*) (this=0x7ffd6c7d1080, receiver=0x24e7f50, e=0x5ad4d00) at kernel/qapplication.cpp:3503
#98 0x00007fea5cafcf1b in QCoreApplication::notifyInternal(QObject*, QEvent*) (this=0x7ffd6c7d1080, receiver=receiver@entry=0x24e7f50, event=event@entry=0x5ad4d00) at kernel/qcoreapplication.cpp:935
#99 0x00007fea5799366b in QQuickWindow::sendEvent(QQuickItem*, QEvent*) (event=0x5ad4d00, receiver=0x24e7f50) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qcoreapplication.h:228
#100 0x00007fea5799366b in QQuickWindow::sendEvent(QQuickItem*, QEvent*) (this=this@entry=0x5c3f900, item=0x24e7f50, e=e@entry=0x5ad4d00) at items/qquickwindow.cpp:2534
#101 0x00007fea57993a02 in QQuickWindowPrivate::deliverMouseEvent(QMouseEvent*) (this=this@entry=0x2b14df0, event=event@entry=0x7ffd6c7d0420) at items/qquickwindow.cpp:1513
#102 0x00007fea57995e9d in QQuickWindow::mouseReleaseEvent(QMouseEvent*) (this=0x5c3f900, event=0x7ffd6c7d0420) at items/qquickwindow.cpp:1553
#103 0x00007fea5ce27855 in QWindow::event(QEvent*) (this=this@entry=0x5c3f900, ev=ev@entry=0x7ffd6c7d0420) at kernel/qwindow.cpp:2058
#104 0x00007fea57999fd3 in QQuickWindow::event(QEvent*) (this=0x5c3f900, e=0x7ffd6c7d0420) at items/qquickwindow.cpp:1394
#105 0x00007fea5d3cab8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x1c358f0, receiver=receiver@entry=0x5c3f900, e=e@entry=0x7ffd6c7d0420) at kernel/qapplication.cpp:3720
#106 0x00007fea5d3d0230 in QApplication::notify(QObject*, QEvent*) (this=0x7ffd6c7d1080, receiver=0x5c3f900, e=0x7ffd6c7d0420) at kernel/qapplication.cpp:3503
#107 0x00007fea5cafcf1b in QCoreApplication::notifyInternal(QObject*, QEvent*) (this=0x7ffd6c7d1080, receiver=0x5c3f900, event=event@entry=0x7ffd6c7d0420) at kernel/qcoreapplication.cpp:935
#108 0x00007fea392e1f90 in Aurorae::Decoration::mouseReleaseEvent(QMouseEvent*) (event=0x7ffd6c7d0420, receiver=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qcoreapplication.h:228
#109 0x00007fea392e1f90 in Aurorae::Decoration::mouseReleaseEvent(QMouseEvent*) (this=0x50a30b0, event=0x7ffd6c7d0710) at ../../../../clients/aurorae/src/aurorae.cpp:584
#110 0x00007fea5b24ac39 in KDecoration2::Decoration::event(QEvent*) (this=<optimized out>, event=<optimized out>) at ../../src/decoration.cpp:269
#111 0x00007fea5d3cab8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x1c358f0, receiver=receiver@entry=0x50a30b0, e=e@entry=0x7ffd6c7d0710) at kernel/qapplication.cpp:3720
#112 0x00007fea5d3d0230 in QApplication::notify(QObject*, QEvent*) (this=0x7ffd6c7d1080, receiver=0x50a30b0, e=0x7ffd6c7d0710) at kernel/qapplication.cpp:3503
#113 0x00007fea5cafcf1b in QCoreApplication::notifyInternal(QObject*, QEvent*) (this=0x7ffd6c7d1080, receiver=0x50a30b0, event=event@entry=0x7ffd6c7d0710) at kernel/qcoreapplication.cpp:935
#114 0x00007fea5e043f8d in KWin::Client::buttonReleaseEvent(unsigned int, int, int, int, int, int, int) (event=0x7ffd6c7d0710, receiver=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qcoreapplication.h:228
#115 0x00007fea5e043f8d in KWin::Client::buttonReleaseEvent(unsigned int, int, int, int, int, int, int) (this=this@entry=0x503d490, w=52429374, button=1, state=256, x=288, y=19, x_root=288, y_root=19) at ../events.cpp:1276
#116 0x00007fea5e044ebf in KWin::Client::windowEvent(xcb_generic_event_t*) (this=0x503d490, e=e@entry=0x7fea40001d10) at ../events.cpp:691
#117 0x00007fea5e04638f in KWin::Workspace::workspaceEvent(xcb_generic_event_t*) (this=0x1eb9db0, e=0x7fea40001d10) at ../events.cpp:354
#118 0x00007fea5caf98ef in QAbstractEventDispatcher::filterNativeEvent(QByteArray const&, void*, long*) (this=this@entry=0x1c6f860, eventType=..., message=message@entry=0x7fea40001d10, result=result@entry=0x7ffd6c7d0998) at kernel/qabstracteventdispatcher.cpp:460
#119 0x00007fea486b030e in QXcbConnection::handleXcbEvent(xcb_generic_event_t*) (this=this@entry=0x1c3d9d0, event=event@entry=0x7fea40001d10) at qxcbconnection.cpp:863
#120 0x00007fea486b1363 in QXcbConnection::processXcbEvents() (this=0x1c3d9d0) at qxcbconnection.cpp:1303
#121 0x00007fea5cb2e651 in QObject::event(QEvent*) (this=0x1c3d9d0, e=<optimized out>) at kernel/qobject.cpp:1245
#122 0x00007fea5d3cab8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x1c358f0, receiver=receiver@entry=0x1c3d9d0, e=e@entry=0x7fea40002a20) at kernel/qapplication.cpp:3720
#123 0x00007fea5d3d0230 in QApplication::notify(QObject*, QEvent*) (this=0x7ffd6c7d1080, receiver=0x1c3d9d0, e=0x7fea40002a20) at kernel/qapplication.cpp:3503
#124 0x00007fea5cafcf1b in QCoreApplication::notifyInternal(QObject*, QEvent*) (this=0x7ffd6c7d1080, receiver=0x1c3d9d0, event=event@entry=0x7fea40002a20) at kernel/qcoreapplication.cpp:935
#125 0x00007fea5caff057 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (event=0x7fea40002a20, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:228
#126 0x00007fea5caff057 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x1c260e0) at kernel/qcoreapplication.cpp:1552
#127 0x00007fea5cb51802 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x1c6f860, flags=flags@entry=...) at kernel/qeventdispatcher_unix.cpp:579
#128 0x00007fea48704fed in QUnixEventDispatcherQPA::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=<optimized out>, flags=...) at eventdispatchers/qunixeventdispatcher.cpp:62
#129 0x00007fea5cafa75a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffd6c7d0fa0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#130 0x00007fea5cb022cc in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1188
#131 0x00007fea5ce1709c in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1510
#132 0x00007fea5d3c7025 in QApplication::exec() () at kernel/qapplication.cpp:2956
#133 0x00007fea5e7cf4c4 in kdemain(int, char**) (argc=1, argv=0x7ffd6c7d11e8) at ../main_x11.cpp:303
#134 0x00007fea5e420a40 in __libc_start_main (main=0x4007a0 <main(int, char**)>, argc=3, argv=0x7ffd6c7d11e8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd6c7d11d8) at libc-start.c:289
#135 0x00000000004007d9 in _start ()
Comment 6 Martin Flöser 2015-10-20 05:33:59 UTC
Git commit 10ad9262a184e1afc088bee35b7fa4c188d9d63f by Martin Gräßlin.
Committed on 20/10/2015 at 05:33.
Pushed by graesslin into branch 'Plasma/5.4'.

[decorations] Delay closeWindow to next event cycle

Once again our famous "closing glxgears crashes Aurorae".
FIXED-IN: 5.4.3
REVIEW: 125704

M  +5    -1    decorations/decoratedclient.cpp

http://commits.kde.org/kwin/10ad9262a184e1afc088bee35b7fa4c188d9d63f
Comment 7 Martin Flöser 2015-10-22 10:34:56 UTC
I just reported the issue at: Qt https://bugreports.qt.io/browse/QTBUG-48921

and added a demo application to illustrate the issue at: git://anongit.kde.org/scratch/graesslin/mouse-area-close-crash